import { Input } from '@angular/core';
import { Component, OnInit } from '@angular/core';

import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
    selector: 'fm-setting-menu',
    templateUrl: './setting-menu.component.html',
    styleUrls: ['./setting-menu.component.scss'],
    standalone: false
})
export class SettingMenuComponent implements OnInit {
  
  @Input() user:IUser;
  @Input() showMenu:boolean;
  @Input() backgroundColor:string;
  public noContent = true;

  constructor(private store: Store<appReducers.State>) { }

  ngOnInit(): void {
  }

  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleSettingMenu());
  } 

  activateRoute() {
    this.noContent=false;
  }

  deActivateRoute() {
    this.noContent=true;
  }
}
